{% extends 'dataview.html.twig' %}
{% import 'macro/_forms.html.twig' as macro %}

{% block pageTitle "Liste des formulaires" %}

{% block pageActions %}
    {{ macro.addButton('app_formulaire_add', 'Ajout', 'text-left') }}

    <br>

    {{ macro.associationMultipleButtonModal(
        'btn_association',
        'Associer un ou plusieurs formulaire(s) à une ou plusieurs entité(s)',
        'app_formulaire_association',
        form,
        formulaires.currentPageNumber,
        'modal-associate',
        'multi_organisation_user',
        'fields'
    ) }}

    {{ macro.btnArchivedMultipleWithModal(
        'btn_archivedmultiple',
        'Archiver plusieurs formulaires',
        'app_formulaire_archived',
        'Voulez-vous vraiment archiver ces formulaires ?',
        formulaires.currentPageNumber
    ) }}

    {{ macro.btnUnarchivedMultipleWithModal(
        'btn_unarchivedmultiple',
        'Déarchiver plusieurs formulaires',
        'app_formulaire_archived',
        'Voulez-vous vraiment déarchiver ces formulaires ?',
        formulaires.currentPageNumber
    ) }}

    {{ macro.btnActivatedMultipleWithModal(
        'btn_activatedmultiple',
        'Activé plusieurs formulaires',
        'app_formulaire_toggle',
        'Voulez-vous vraiment activé ces formulaires ?',
        formulaires.currentPageNumber
    ) }}

    {{ macro.btnDeactivatedMultipleWithModal(
        'btn_deactivatedmultiple',
        'Désactivé plusieurs formulaires',
        'app_formulaire_toggle',
        'Voulez-vous vraiment désactivé ces formulaires ?',
        formulaires.currentPageNumber
    ) }}

    {{ macro.btnDeleteMultipleWithModal(
        'btn_deletemultiple',
        'Suppression plusieurs formulaires',
        'app_formulaire_delete_multiple',
        'Voulez-vous vraiment supprimer ces formulaires ?',
        formulaires.currentPageNumber
    ) }}
{% endblock %}

{% block pageTable %}
    <table class="table table-striped table-hover">
        <thead>
            <tr>
                <th scope="col">
                    <input id="allCheckbox" type="checkbox"/>
                </th>
                <th scope="col">Etat</th>
                <th scope="col">Libelle</th>
                <th scope="col-4">Description</th>
                <th scope="col">Registre</th>
                <th scope="col">Date de création</th>
                <th scope="col">Entité(s) associée(s)</th>
                <th scope="col">Actions</th>
            </tr>
        </thead>
        <tbody>
            {% for formulaire in formulaires %}
                <tr>
                    <th>
                        {% if (formulaire.isActive == false) %}
                            {% set activerformulaire = 'true' %}
                            {% set desactiverformulaire = 'false' %}
                        {% else %}
                            {% set activerformulaire = 'false' %}
                            {% set desactiverformulaire = 'true' %}
                        {% endif %}

                        {% if (app.user.currentOrganisation not in formulaire.organisations)  %}
                            {% set association = 'true' %}
                        {% else %}
                            {% set association = 'false' %}
                        {% endif %}

                        {% if (formulaire.organisations is empty) and (formulaire.createdByOrganisation == app.user.currentOrganisation) %}
                            {% set delete = 'true' %}

                            {% if (formulaire.isArchived == false) %}
                                {% set archived = 'true' %}
                                {% set unarchived = 'false' %}
                            {% else %}
                                {% set archived = 'false' %}
                                {% set unarchived = 'true' %}
                            {% endif %}
                        {% else %}
                            {% set delete = 'false' %}
                            {% set archived = 'false' %}
                            {% set unarchived = 'false' %}
                        {% endif %}

                        <input id='checkbox-{{ formulaire.id }}' type="checkbox"
                               class="js-checkbox allCheckbox" value="{{ formulaire.id }}"
                               data-association="{{ association }}" data-deletemultiple="{{ delete }}"
                               data-archivedmultiple="{{ archived }}" data-unarchivedmultiple="{{ unarchived }}"
                               data-activatedmultiple="{{ activerformulaire }}"
                               data-deactivatedmultiple="{{ desactiverformulaire }}">
                    </th>

                    <th>
                        {{ macro.toggleButton(
                            'app_formulaire_toggle',
                            formulaire.id,
                            formulaire.isActive,
                            formulaires.currentPageNumber
                        ) }}
                    </th>

                    <th>
                        {{ formulaire.name }}
                    </th>

                    <th class="col-4">
                        {{ formulaire.description }}
                    </th>

                    <th>
                        {% if (formulaire.isActivite == true) %}
                            activité
                        {% elseif (formulaire.isRtExterne == true) %}
                            sous-traitance
                        {% elseif (formulaire.isViolation == true) %}
                            violation
                        {% endif %}
                    </th>

                    <th>
                        {{ formulaire.createdAt|date("d/m/Y") }}
                    </th>

                    <th>
                        {% for organisation in formulaire.organisations %}
                            <li>
                                {{ organisation.raisonsociale }}
                            </li>
                        {% endfor %}
                    </th>

                    <th>
                        {% if ((formulaire.organisations is empty) and (formulaire.createdByOrganisation == app.user.currentOrganisation)) or is_granted('ROLE_SUPERADMIN') %}
                            {% if (formulaire.isArchived == false) %}
                                {{ macro.editButton('app_formulaire_edit', formulaire.id) }}
                            {% endif %}

                            {{ macro.archivedButton(
                                'app_formulaire_archived',
                                formulaire.id,
                                formulaire.isArchived,
                                formulaires.currentPageNumber
                            ) }}

                            {{ macro.deleteButtonModal(
                                formulaire.id,
                                'Suppression du formulaire',
                                'app_formulaire_delete',
                                'Voulez-vous vraiment supprimer ce formulaire ?',
                                formulaires.currentPageNumber
                            ) }}
                        {% endif %}
                    </th>
                </tr>
            {% endfor %}
        </tbody>
    </table>
{% endblock %}

{% block pagePagination knp_pagination_render(formulaires) %}

{% block javascripts %}
    {{ encore_entry_script_tags('selectAllCheckbox') }}
{% endblock %}
